pyregfi.SubkeyList Class Reference

The list of subkeys associated with a Key. More...

Inheritance diagram for pyregfi.SubkeyList:
[legend]

## Additional Inherited Members

Public Member Functions inherited from pyregfi._GenericList
def | __len__ (self)
| Length of list.
def | __getitem__ (self, name)
| Retrieves a list element by name. More...
def | get (self, name, default)
| Fetches the requested element by name, or the default value if the lookup fails.

## Detailed Description

The list of subkeys associated with a Key.

This attribute is both iterable:

for k in myKey.subkeys:
...

and accessible as a dictionary:

mySubkey = myKey.subkeys["keyName"]

You may also request the len() of a subkeys list. However keys(), values(), items() and similar methods are not currently implemented.

The documentation for this class was generated from the following file:

- __init__.py